Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2645)

Issue 2953633002: Move the IconLoader to use the task scheduler. (Closed)

Created:
3 years, 1 month ago by Avi (use Gerrit)
Modified:
3 years, 1 month ago
Reviewers:
benry, gab, sky
CC:
chromium-reviews, mac-reviews_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Move the IconLoader to use the task scheduler. BUG=689520 Review-Url: https://codereview.chromium.org/2953633002 Cr-Commit-Position: refs/heads/master@{#481719} Committed: https://chromium.googlesource.com/chromium/src/+/f4d431c396f62c9c205ae13b18c5e17d55fd08f3

Patch Set 1 #

Total comments: 5

Patch Set 2 : rev #

Total comments: 4

Patch Set 3 : android #

Patch Set 4 : simpler #

Total comments: 2

Patch Set 5 : sky #

Unified diffs Side-by-side diffs Delta from patch set Stats (+36 lines, -22 lines) Patch
M chrome/browser/icon_loader.h View 1 2 3 4 2 chunks +10 lines, -3 lines 0 comments Download
M chrome/browser/icon_loader.cc View 1 2 3 4 3 chunks +9 lines, -9 lines 0 comments Download
M chrome/browser/icon_loader_android.cc View 1 2 3 4 1 chunk +2 lines, -2 lines 0 comments Download
M chrome/browser/icon_loader_auralinux.cc View 1 2 3 4 1 chunk +3 lines, -2 lines 0 comments Download
M chrome/browser/icon_loader_chromeos.cc View 1 2 3 4 1 chunk +3 lines, -2 lines 0 comments Download
M chrome/browser/icon_loader_mac.mm View 1 2 3 4 2 chunks +4 lines, -2 lines 0 comments Download
M chrome/browser/icon_loader_win.cc View 1 2 3 4 2 chunks +5 lines, -2 lines 0 comments Download

Messages

Total messages: 39 (19 generated)
Avi (use Gerrit)
Ben: Please review the conversion. Scott: Please verify that I can use the Win32 icon ...
3 years, 1 month ago (2017-06-21 20:31:35 UTC) #4
sky
I believe the only requirement for windows is that COM is enabled. I can't readily ...
3 years, 1 month ago (2017-06-22 00:41:33 UTC) #9
sky
https://codereview.chromium.org/2953633002/diff/1/chrome/browser/icon_loader.cc File chrome/browser/icon_loader.cc (right): https://codereview.chromium.org/2953633002/diff/1/chrome/browser/icon_loader.cc#newcode52 chrome/browser/icon_loader.cc:52: FROM_HERE, {base::MayBlock(), base::TaskPriority::USER_VISIBLE}, optional: create a function to return ...
3 years, 1 month ago (2017-06-22 00:43:25 UTC) #10
Avi (use Gerrit)
https://codereview.chromium.org/2953633002/diff/1/chrome/browser/icon_loader.cc File chrome/browser/icon_loader.cc (right): https://codereview.chromium.org/2953633002/diff/1/chrome/browser/icon_loader.cc#newcode52 chrome/browser/icon_loader.cc:52: FROM_HERE, {base::MayBlock(), base::TaskPriority::USER_VISIBLE}, On 2017/06/22 00:43:25, sky wrote: > ...
3 years, 1 month ago (2017-06-22 01:21:17 UTC) #11
Avi (use Gerrit)
On 2017/06/22 00:41:33, sky wrote: > I believe the only requirement for windows is that ...
3 years, 1 month ago (2017-06-22 01:38:08 UTC) #12
benhenry
On 2017/06/22 01:21:17, Avi (ping after 24h) wrote: > https://codereview.chromium.org/2953633002/diff/1/chrome/browser/icon_loader.cc > File chrome/browser/icon_loader.cc (right): > ...
3 years, 1 month ago (2017-06-22 15:18:59 UTC) #13
Avi (use Gerrit)
On 2017/06/22 15:18:59, benhenry wrote: > On 2017/06/22 01:21:17, Avi (ping after 24h) wrote: > ...
3 years, 1 month ago (2017-06-22 15:21:33 UTC) #14
gab
https://codereview.chromium.org/2953633002/diff/1/chrome/browser/icon_loader.cc File chrome/browser/icon_loader.cc (right): https://codereview.chromium.org/2953633002/diff/1/chrome/browser/icon_loader.cc#newcode49 chrome/browser/icon_loader.cc:49: ->PostTask(FROM_HERE, std::move(read_icon)); content::BrowserThread::PostTask(content::BrowserThread::UI, FROM_HERE, std::move(read_icon)); https://codereview.chromium.org/2953633002/diff/1/chrome/browser/icon_loader.cc#newcode51 chrome/browser/icon_loader.cc:51: base::PostTaskWithTraits( If ...
3 years, 1 month ago (2017-06-22 15:38:35 UTC) #15
Avi (use Gerrit)
I just uploaded a new version; it hasn't passed the trybots, but Gabriel, since you're ...
3 years, 1 month ago (2017-06-22 19:26:59 UTC) #18
gab
https://codereview.chromium.org/2953633002/diff/20001/chrome/browser/icon_loader.cc File chrome/browser/icon_loader.cc (right): https://codereview.chromium.org/2953633002/diff/20001/chrome/browser/icon_loader.cc#newcode27 chrome/browser/icon_loader.cc:27: base::PostTaskWithTraitsAndReply( This is fine so long as IconLoader::Start() is ...
3 years, 1 month ago (2017-06-22 19:49:42 UTC) #21
gab
On 2017/06/22 19:26:59, Avi (ping after 24h) wrote: > I just uploaded a new version; ...
3 years, 1 month ago (2017-06-22 19:51:13 UTC) #22
Avi (use Gerrit)
On 2017/06/22 19:51:13, gab (OOO Friday) wrote: > On 2017/06/22 19:26:59, Avi (ping after 24h) ...
3 years, 1 month ago (2017-06-22 20:31:23 UTC) #25
Avi (use Gerrit)
https://codereview.chromium.org/2953633002/diff/20001/chrome/browser/icon_loader.cc File chrome/browser/icon_loader.cc (right): https://codereview.chromium.org/2953633002/diff/20001/chrome/browser/icon_loader.cc#newcode27 chrome/browser/icon_loader.cc:27: base::PostTaskWithTraitsAndReply( On 2017/06/22 19:49:41, gab (OOO Friday) wrote: > ...
3 years, 1 month ago (2017-06-22 20:31:45 UTC) #26
gab
On 2017/06/22 20:31:45, Avi (ping after 24h) wrote: > https://codereview.chromium.org/2953633002/diff/20001/chrome/browser/icon_loader.cc > File chrome/browser/icon_loader.cc (right): > ...
3 years, 1 month ago (2017-06-22 20:45:16 UTC) #27
Avi (use Gerrit)
On 2017/06/22 20:45:16, gab (OOO Friday) wrote: > On 2017/06/22 20:31:45, Avi (ping after 24h) ...
3 years, 1 month ago (2017-06-22 20:56:01 UTC) #28
Avi (use Gerrit)
Scott, ping? WDYT?
3 years, 1 month ago (2017-06-22 21:01:55 UTC) #31
sky
LGTM https://codereview.chromium.org/2953633002/diff/60001/chrome/browser/icon_loader.h File chrome/browser/icon_loader.h (right): https://codereview.chromium.org/2953633002/diff/60001/chrome/browser/icon_loader.h#newcode71 chrome/browser/icon_loader.h:71: static scoped_refptr<base::TaskRunner> ReadIconTaskRunner(); Mild preference for GetReadIconTaskRunner() as ...
3 years, 1 month ago (2017-06-22 21:20:50 UTC) #32
Avi (use Gerrit)
https://codereview.chromium.org/2953633002/diff/60001/chrome/browser/icon_loader.h File chrome/browser/icon_loader.h (right): https://codereview.chromium.org/2953633002/diff/60001/chrome/browser/icon_loader.h#newcode71 chrome/browser/icon_loader.h:71: static scoped_refptr<base::TaskRunner> ReadIconTaskRunner(); On 2017/06/22 21:20:49, sky wrote: > ...
3 years, 1 month ago (2017-06-22 21:46:35 UTC) #33
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2953633002/80001
3 years, 1 month ago (2017-06-22 22:06:14 UTC) #36
commit-bot: I haz the power
3 years, 1 month ago (2017-06-22 23:31:10 UTC) #39
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/f4d431c396f62c9c205ae13b18c5...

Powered by Google App Engine
This is Rietveld 408576698